#!/bin/bash -x
#-----BEGIN PGP SIGNATURE-----
#Version: GnuPG v1.2.6 (GNU/Linux)
#Comment: 2008-11-24 ePages Software GmbH (release key) <rnd@epages.de>
#
#iD8DBQBQcpJml5jMabHSgyARArIUAKDNoSegOycqNnUXOUw3zcWfQfJX6gCfZqMb
#/5Rqju6i8jScEi4C0XHrFCI=
#=1Rsp
#-----END PGP SIGNATURE-----

export EPAGES_BACKUP_DIR=
export EPAGES_BACKUP_DB=
export EPAGES_INSTALL_VERSION=$2

type curl >/dev/null || exit 1
curl http://epages.com/RPMS/rpmify/rpmify-epages.sh | sh
RET=$? ; [[ $RET = 0 ]] || exit $RET

if [ -f /etc/SuSE-release ] ; then
  zypper modifyrepo --enable epages-update-$2
  zypper update -y -r epages-update-$2 epages-j
  zypper update -y -r epages-update-$2 epages-hotfix-base
  zypper update -y -r epages-update-$2 epages-patch
  RET=$?
  zypper modifyrepo --disable epages-update-$2
else
  yum -y update epages-j --disablerepo epages-update --enablerepo epages-update-$2
  yum -y update epages-hotfix-base --disablerepo epages-update --enablerepo epages-update-$2
  yum -y update epages-patch --disablerepo epages-update --enablerepo epages-update-$2
  RET=$?
  [[ $RET -ne 0 ]] && exit $RET

  # install latest hotfixes
  DN=$(cd $(dirname $0) && pwd)
  InstallHotfixBase=${DN#/*}/customize/ZZ-InstallHotfixBase.sh
  if rpm --quiet -q epages-hotfix-base ; then
    /etc/cron.daily/epages-hotfix -console
    exit $?
  elif [[ -f $InstallHotfixBase ]] ; then
    chmod +x $InstallHotfixBase
    $InstallHotfixBase
    exit $?
  fi
fi

exit $RET
