use Test::More tests => 1;

use strict;
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::Installer::API::JiraHandler;

sub Main {
  my $Handler;
  my $Username;
  my $Password;
  eval { $Handler = DE_EPAGES::Installer::API::JiraHandler->new($Username,$Password); };
  my $Error = ( $@ =~ /(could not connect to)/ );
  print $Error;
  SKIP: {
    skip( 'can not connect to jira', 1 ) if $Error;
    skip( 'username and or password not given') unless ($Username && $Password);
    my $aParticipants = [ 'agrohmann', 'hmoye', 'kabendroth', 'skersten', 'wloch' ];
    is_deeply( $Handler->getParticipants('8621'),$aParticipants, 'get participants correct' )

  }
}
RunScript( Sub => \&Main );

1;
